Failed to restore config and restart server


#1

—command:
env PATH=$PATH:/usr/local/apache/bin ./certbot-auto --apache --apache-server-root /usr/local/apache/ -d domain.name --apache-challenge-location /usr/local/apache/

—Error Message:
Error while running apachectl graceful.
httpd not running, trying to start

(98)Address already in use: AH00072: make_sock: could not bind to address [::]:443
(98)Address already in use: AH00072: make_sock: could not bind to address 0.0.0.0:443
no listening sockets available, shutting down
AH00015: Unable to open logs

Rolling back to previous server configuration…
Error while running apachectl graceful.
httpd not running, trying to start

(98)Address already in use: AH00072: make_sock: could not bind to address [::]:443
(98)Address already in use: AH00072: make_sock: could not bind to address 0.0.0.0:443
no listening sockets available, shutting down
AH00015: Unable to open logs

Encountered exception during recovery
Error while running apachectl graceful.
httpd not running, trying to start

(98)Address already in use: AH00072: make_sock: could not bind to address [::]:443
(98)Address already in use: AH00072: make_sock: could not bind to address 0.0.0.0:443
no listening sockets available, shutting down
AH00015: Unable to open logs
Traceback (most recent call last):
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot_apache/configurator.py”, line 1998, in _reload
util.run_script(self.constant(“restart_cmd”))
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot/util.py”, line 85, in run_script
raise errors.SubprocessError(msg)
certbot.errors.SubprocessError: Error while running apachectl graceful.
httpd not running, trying to start

(98)Address already in use: AH00072: make_sock: could not bind to address [::]:443
(98)Address already in use: AH00072: make_sock: could not bind to address 0.0.0.0:443
no listening sockets available, shutting down
AH00015: Unable to open logs

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot/client.py”, line 452, in deploy_certificate
self.installer.restart()
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot_apache/configurator.py”, line 1989, in restart
self._reload()
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot_apache/configurator.py”, line 2000, in _reload
raise errors.MisconfigurationError(str(err))
certbot.errors.MisconfigurationError: Error while running apachectl graceful.
httpd not running, trying to start

(98)Address already in use: AH00072: make_sock: could not bind to address [::]:443
(98)Address already in use: AH00072: make_sock: could not bind to address 0.0.0.0:443
no listening sockets available, shutting down
AH00015: Unable to open logs

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot_apache/configurator.py”, line 1998, in _reload
util.run_script(self.constant(“restart_cmd”))
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot/util.py”, line 85, in run_script
raise errors.SubprocessError(msg)
certbot.errors.SubprocessError: Error while running apachectl graceful.
httpd not running, trying to start

(98)Address already in use: AH00072: make_sock: could not bind to address [::]:443
(98)Address already in use: AH00072: make_sock: could not bind to address 0.0.0.0:443
no listening sockets available, shutting down
AH00015: Unable to open logs

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot/error_handler.py”, line 100, in _call_registered
self.funcs-1
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot/client.py”, line 547, in _rollback_and_restart
self.installer.restart()
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot_apache/configurator.py”, line 1989, in restart
self._reload()
File “/opt/eff.org/certbot/venv/lib/python3.4/site-packages/certbot_apache/configurator.py”, line 2000, in _reload
raise errors.MisconfigurationError(str(err))
certbot.errors.MisconfigurationError: Error while running apachectl graceful.
httpd not running, trying to start

(98)Address already in use: AH00072: make_sock: could not bind to address [::]:443
(98)Address already in use: AH00072: make_sock: could not bind to address 0.0.0.0:443
no listening sockets available, shutting down
AH00015: Unable to open logs

I installed the apache server with lamp.sh script


#2

Search for extraenous Listen statements:

grep -ri Listen /usr/local/apache

You should be able to restart Apache without errors first. Then go on with certbot.


#3

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.